unit U_ZdyAttachGYS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxGraphics, cxCustomData, cxStyles, cxTL, cxMaskEdit, DB, ADODB,
  cxInplaceContainer, cxDBTL, cxControls, cxTLData, ComCtrls, ToolWin, StdCtrls,
  cxFilter, cxData, cxDataStorage, cxEdit, cxDBData, DBClient,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, ExtCtrls,
  cxSplitter, cxGridLevel, cxClasses, cxGridCustomView, cxGrid,
  cxGridCustomPopupMenu, cxGridPopupMenu, RM_Dataset, RM_System, RM_Common,
  RM_Class, RM_GridReport, IdBaseComponent, IdComponent, IdTCPConnection,
  IdTCPClient, IdFTP, ShellAPI, IniFiles, cxCheckBox, cxCalendar, cxButtonEdit,
  cxTextEdit, cxLookAndFeels, cxLookAndFeelPainters, cxNavigator, BtnEdit;

type
  TfrmZdyAttachGYS = class(TForm)
    ToolBar1: TToolBar;
    TBRafresh: TToolButton;
    TBClose: TToolButton;
    ADOQueryTemp: TADOQuery;
    ADOQueryCmd: TADOQuery;
    Panel1: TPanel;
    TBFind: TToolButton;
    ADOQueryMain: TADOQuery;
    RM1: TRMGridReport;
    RMDB_Main: TRMDBDataSet;
    Label3: TLabel;
    KHName: TEdit;
    cxGridPopupMenu2: TcxGridPopupMenu;
    DS_HZ: TDataSource;
    CDS_HZ: TClientDataSet;
    Label1: TLabel;
    KHNo: TEdit;
    cxGrid2: TcxGrid;
    Tv2: TcxGridDBTableView;
    v2Column2: TcxGridDBColumn;
    v2Column6: TcxGridDBColumn;
    v2Column15: TcxGridDBColumn;
    v2Column7: TcxGridDBColumn;
    cxGridLevel1: TcxGridLevel;
    LabKHType: TLabel;
    KHType: TBtnEditC;
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TBCloseClick(Sender: TObject);
    procedure TBDelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TBRafreshClick(Sender: TObject);
    procedure TBFindClick(Sender: TObject);
    procedure KHNameChange(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure Tv2DblClick(Sender: TObject);
    procedure KHTypeBtnDnClick(Sender: TObject);
    procedure KHTypeBtnUpClick(Sender: TObject);
  private
    { Private declarations }
    procedure InitGrid();

  public
  end;

var
  frmZdyAttachGYS: TfrmZdyAttachGYS;

implementation

uses
  U_DataLink, U_Fun10, U_ZDYHelp, U_SCPerson;

{$R *.dfm}

procedure TfrmZdyAttachGYS.InitGrid();
begin
  try
    ADOQueryMain.DisableControls;
    with ADOQueryMain do
    begin
      Filtered := False;
      Close;
      SQL.Clear;
      sql.Add(' select *,zjm=dbo.getpinyin(KHName) ');
      sql.add(',SHStatus=(case when isnull(status,''0'')=''0'' then ''未审核'' else ''已审核'' end)');
      sql.Add(',SDQty=(select Count(*) from TP_File TF where TF.WBID=A.KHMainId and TF.TFType=''供应商资料''  )');
      sql.Add(' from KH_Main A ');
      sql.add(' where isnull(KHFlag,'''')=''GYS'' and isnull(Valid,'''')=''Y''  ');
//      if Trim(canshu1) = '录入' then
//      begin
//        sql.Add(' and exists(select * from KH_Owner B where B.KHMainId=A.KHMainId and B.UserName=''' + Trim(DName) + ''')');
//      end;
//      ShowMessage(sql.text);
      Open;
    end;
    SCreateCDS20(ADOQueryMain, CDS_HZ);
    SInitCDSData20(ADOQueryMain, CDS_HZ);
  finally
    ADOQueryMain.EnableControls;
  end;
  TBFind.Click;
end;

procedure TfrmZdyAttachGYS.FormDestroy(Sender: TObject);
begin
  frmZdyAttachGYS := nil;
end;

procedure TfrmZdyAttachGYS.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TfrmZdyAttachGYS.TBCloseClick(Sender: TObject);
begin
  WriteCxGrid('供应商资料', Tv2);
  Close;
end;

procedure TfrmZdyAttachGYS.TBDelClick(Sender: TObject);
begin
{  if CDS_HZ.IsEmpty then Exit;
  if Application.MessageBox('确定要删除数据吗？','提示',32+4)<>IDYES then Exit;
  if Trim(CDS_HZ.fieldbyname('ATID').AsString)<>'' then
  begin
    with ADOQueryCmd do
    begin
      Close;
      SQL.Clear;
      sql.Add('delete KH_Zdy_Attachment where ATID='''+Trim(CDS_HZ.fieldbyname('ATID').AsString)+'''');
      sql.Add('delete KH_Zdy where ZdyNo='''+Trim(CDS_HZ.fieldbyname('ATID').AsString)+'''');
      ExecSQL;
    end;
  end;
  CDS_HZ.Delete;}
end;

procedure TfrmZdyAttachGYS.FormShow(Sender: TObject);
begin
  ReadCxGrid('供应商资料', Tv2);
  InitGrid();
end;

procedure TfrmZdyAttachGYS.TBRafreshClick(Sender: TObject);
begin
  InitGrid();
end;

procedure TfrmZdyAttachGYS.TBFindClick(Sender: TObject);
begin
  if ADOQueryMain.Active then
  begin
    SDofilter(ADOQueryMain, SGetFilters(Panel1, 1, 2));
    SCreateCDS20(ADOQueryMain, CDS_HZ);
    SInitCDSData20(ADOQueryMain, CDS_HZ);
  end;
end;

procedure TfrmZdyAttachGYS.KHNameChange(Sender: TObject);
begin
  TBFind.Click;
end;

procedure TfrmZdyAttachGYS.ToolButton1Click(Sender: TObject);
begin
  if ADOQueryMain.IsEmpty then
    Exit;
  //SelExportData(Tv2,ADOQueryMain,'客户资料列表');
end;

procedure TfrmZdyAttachGYS.ToolButton4Click(Sender: TObject);
begin
{  try
    frmZdyAttInputGYS:=TfrmZdyAttInputGYS.Create(Application);
    with frmZdyAttInputGYS do
    begin
      FCYID:=Trim(Self.CDS_HZ.fieldbyname('ATID').AsString);
      if ShowModal=1 then
      begin
        
      end;
    end;
  finally
    frmZdyAttInputGYS.Free;
  end;   }
end;

procedure TfrmZdyAttachGYS.ToolButton3Click(Sender: TObject);
begin
{  try
    frmZdyAttInputGYS:=TfrmZdyAttInputGYS.Create(Application);
    with frmZdyAttInputGYS do
    begin
      FCYID:='';
      if ShowModal=1 then
      begin

      end;
    end;
  finally
    frmZdyAttInputGYS.Free;
  end;  }
end;

procedure TfrmZdyAttachGYS.Tv2DblClick(Sender: TObject);
begin
  if CDS_HZ.IsEmpty then
    exit;
  ModalResult := 1;
end;

procedure TfrmZdyAttachGYS.KHTypeBtnDnClick(Sender: TObject);
begin
  KHType.Text := '';
  KHType.TxtCode := '';
  TBFind.Click;
end;

procedure TfrmZdyAttachGYS.KHTypeBtnUpClick(Sender: TObject);
begin
  try
    frmSCPerson := TfrmSCPerson.Create(Application);
    with frmSCPerson do
    begin
      FlagStr := 'GYSType';
      if ShowModal = 1 then
      begin
        Self.KHType.Text := Trim(FSDPerson);
        Self.KHType.TxtCode := Trim(FSDPerson);
      end;
    end;
  finally
    frmSCPerson.Free;
  end;
  TBFind.Click;
end;

end.

